import { Vue } from "vue-property-decorator";
import { Track } from "../../dto/Track";
export default class TrackForm extends Vue {
    projectHost: string;
    trackNumber: string;
    carrierCode: string;
    hasError: boolean;
    isLoading: boolean;
    deliveryTrackStore: import("../../store/DeliveryTrackingStore").default;
    created(): void;
    get isEmpty(): boolean;
    submitForm(): Promise<void>;
    submit(track: Track): Track;
    cancel(): boolean;
    resetError(): void;
}
